Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels.cusermanager
Class CUserManagerPermissions

    java.lang.Object
      org.jasig.portal.channels.cusermanager.CUserManagerPermissions

All Implemented Interfaces:
  IPermissible

Direct Known Subclasses:
  CUserManager

     class CUserManagerPermissions

extends java.lang.Object
implements IPermissible

Version:
  $Revision: 1.4 $ $Date: 2005/04/17 19:16:24 $
Author:
  smb1@cornell.edu

Field Summary
`protected static java.util.Properties` | `activities`
`static java.lang.String[]` | `activityNames` Description of the Field
`static java.lang.String[]` | `activityTokens` Values for use by the permissions manager

Constructor Summary
`CUserManagerPermissions()`

Method Summary
`java.lang.String` | `getActivityName(java.lang.String token)` For a given activity token, return a human-readable string that describes the activity.
`java.lang.String[]` | `getActivityTokens()` Return a list of tokens representing all the activities this channel controls with permissions.
`java.lang.String` | `getOwnerName()` Human-readable name of the owner - normally the Channel name.
`java.lang.String` | `getOwnerToken()` Return the token used by this channel to represent itself as the owner of generated permissions.
`java.lang.String` | `getTargetName(java.lang.String token)` Return the human readable name of a target
`java.lang.String[]` | `getTargetTokens()` Return an array of tokens representing all targets this channel controls with permissions.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### activityTokens

    public static java.lang.String[] activityTokens

  Values for use by the permissions manager

### activityNames

    public static java.lang.String[] activityNames

  Description of the Field

### activities

    protected static final java.util.Properties activities

Constructor Detail

### CUserManagerPermissions

    CUserManagerPermissions()

Method Detail

### getActivityTokens

    public java.lang.String[] getActivityTokens()

  Return a list of tokens representing all the activities this channel controls with permissions. These tokens can be used by the channel to ascertain permissions at runtime after they have been entered with the Permissions manager

  Specified by:
    `getActivityTokens` in interface `IPermissible`

### getActivityName

    public java.lang.String getActivityName(java.lang.String token)

  For a given activity token, return a human-readable string that describes the activity. Used in rendering the Permissions Manager GUI.

  Specified by:
    `getActivityName` in interface `IPermissible`

### getTargetTokens

    public java.lang.String[] getTargetTokens()

  Return an array of tokens representing all targets this channel controls with permissions.

  Specified by:
    `getTargetTokens` in interface `IPermissible`

### getTargetName

    public java.lang.String getTargetName(java.lang.String token)

  Return the human readable name of a target

  Specified by:
    `getTargetName` in interface `IPermissible`

### getOwnerToken

    public java.lang.String getOwnerToken()

  Return the token used by this channel to represent itself as the owner of generated permissions. Can be arbitrary, but must be unique - I've been using classnames. This is also used by the channel to request a PermissionManager from the AuthorizationService at runtime.

  Specified by:
    `getOwnerToken` in interface `IPermissible`

### getOwnerName

    public java.lang.String getOwnerName()

  Human-readable name of the owner - normally the Channel name.

  Specified by:
    `getOwnerName` in interface `IPermissible`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD